<?php
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
$ZX=0;
$s="SELECT * FROM cotizaciones WHERE id_cotizacion>0 AND anu='N' ORDER BY id_cotizacion";
$rs=grs($s);
while($r=$rs->fetch_assoc()){
	$ID=$r['id_cotizacion'];
	$CX=gn("count(*)","cotizaciones_det","id_cotizacion=$ID");
	if($CX==0){
		$s="UPDATE cotizaciones SET parse_obs1='ZDET',parse=1 WHERE id_cotizacion=$ID";
		ejt($s);
		$ZX++;
		echo $ZX." ".$s."<br>";
	}else{
		//ca_control = cantidad disponible para usar en guia interna // al inicio es igual a ca
		//ve_control = cantidad disponible para usar en ventas		 // al inicio es igual a ca		
		//dev		 = al inicio es cero
		//dej		 = al inicio es cero		
		$DX=0;
		$OK=0;
		$s_gi="SELECT id_producto,ca,can_uni,ca_control,ve_control,dev,dej 
			   FROM cotizaciones_det WHERE id_cotizacion=$ID";
		$rs_gi=grs($s_gi);
		while($r_gi=$rs_gi->fetch_assoc()){
			$SUM=gn("SUM(CA)","bis_ginterna_det",
					"GI_ANU='N' AND COT_ID=$ID AND PRO_ID=".$r_gi['id_producto']." AND PIE=".$r_gi['can_uni']);
			$DX++;
			if($SUM==$r_gi['ca']){
				$s="UPDATE cotizaciones_det 
					SET ca_control_obs='OK' 
					WHERE id_cotizacion=$ID AND id_producto=".$r_gi['id_producto']. " AND can_uni=".$r_gi['can_uni'];
				ejt($s);
				$OK++;				
			}else{
				if($SUM>$r_gi['ca']){
					$s="UPDATE cotizaciones_det 
					SET ca_control_obs='MA' 
					WHERE id_cotizacion=$ID AND id_producto=".$r_gi['id_producto']. " AND can_uni=".$r_gi['can_uni'];
					ejt($s);
				}else{
					$s="UPDATE cotizaciones_det 
					SET ca_control_obs='ME' 
					WHERE id_cotizacion=$ID AND id_producto=".$r_gi['id_producto']. " AND can_uni=".$r_gi['can_uni'];
					ejt($s);
				}
			}
		}
		//
		if($DX==$OK){
			$s="UPDATE cotizaciones SET parse_obs1='OK',parse=1 WHERE id_cotizacion=$ID";
			ejt($s);
			echo "OK<br>";
		}else{
			$s="UPDATE cotizaciones SET parse_obs1='OBS',parse=1 WHERE id_cotizacion=$ID";
			ejt($s);
			echo "OK<br>";
		}
	}
}
?>